.TH POSTSRSD "8" "August 2014" "postsrsd"
.SH NAME
postsrsd \- Postfix Sender Rewriting Scheme daemon
.SH SYNOPSIS
.B postsrsd
\fI\,\-s<file> \-d<domain> \/\fR[\fI\,other options\/\fR]
.SH DESCRIPTION
Sender Rewriting Scheme implementation for Postfix.
.PP
Implements two TCP lookup tables to rewrite mail addresses
as needed. The forward SRS is for sender envelope addresses
to prevent SPF\-related bounces. The reverse SRS is for
recipient envelope addresses so that bounced mails can be
routed back to their original sender.
.SH OPTIONS
.TP
\fB\-s\fR<file>
read secrets from file (required)
.TP
\fB\-d\fR<domain>
set domain name for rewrite (required)
.TP
\fB\-a\fR<char>
set first separator character which can be one of: -=+ (default: =)
.TP
\fB\-f\fR<port>
set port for the forward SRS lookup (default: 10001)
.TP
\fB\-r\fR<port>
set port for the reverse SRS lookup (default: 10002)
.TP
\fB\-p\fR<pidfile>
write process ID to pidfile (default: none)
.TP
\fB\-c\fR<dir>
chroot to <dir> (default: none)
.TP
\fB\-u\fR<user>
switch user id after port bind (default: none)
.TP
\fB\-t\fR<seconds>
timeout for idle client connections (default: 1800)
.TP
\fB\-X\fR<domain>
exclude additional domain from address rewriting
.TP
\fB\-e\fR
attempt to read above parameters from environment
.TP
\fB\-D\fR
fork into background
.TP
\fB\-4\fR
force IPv4 socket (default: any)
.TP
\fB\-6\fR
force IPv6 socket (default: any)
.TP
\fB\-h\fR
show usage information
.TP
\fB\-v\fR
show version